This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 760390 - User story: As a GWT developer, I want to push/pull UTF-8 Properties files so that they can be translated
User story: As a GWT developer, I want to push/pull UTF-8 Properties files so...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
1.4.3-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
: UserStory
Depends On:
Blocks: Zanata-1.4.4
  Show dependency treegraph
 
Reported: 2011-12-05 21:26 EST by Sean Flanigan
Modified: 2013-03-03 21:22 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4.4-SNAPSHOT (20111206-1747)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 02:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-12-05 21:26:43 EST
User story: As a GWT developer, I want to push/pull UTF-8 Properties files so that they can be translated

The existing implementation expects and generates standard Java Properties files, which are ISO-8859-1.
Comment 2 Ding-Yi Chen 2011-12-08 23:02:22 EST
VERIFIED with Zanata version 1.4.4-SNAPSHOT (20111206-1747)
Comment 3 Ding-Yi Chen 2011-12-12 22:26:21 EST
REVERIFIED with Zanata version 1.4.5-SNAPSHOT (20111212-1307)
Comment 4 Joshua Wulf 2012-01-26 03:12:34 EST
RELEASE NOTES TEXT:

Feature: Support UTF-8 Properties files

Background: Prior to version 1.4.4, Zanata only supported standard Java Properties files (ISO-8859-1). GWT developers requested support for UTF-8 Properties files.

New feature: From version 1.4.4, Zanata supports UTF-8 Properties files. The Zanata maven and python clients can now push and pull UTF-8 Property files and their translations, and the Zanata server can store them.

Note You need to log in before you can comment on or make changes to this bug.